---
title: Get Entra ID Azure App Registration prerequisites
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Security Monitoring
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

# Get Entra ID Azure App Registration prerequisites{% #get-entra-id-azure-app-registration-prerequisites %}
Copy pageCopied
{% tab title="v2" %}
**Note**: This endpoint is in preview and is subject to change. If you have any feedback, contact [Datadog support](https://docs.datadoghq.com/help/).
| Datadog site      | API endpoint                                                                                                                   |
| ----------------- | ------------------------------------------------------------------------------------------------------------------------------ |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/security_monitoring/configuration/integration_config/entra_id/azure_app_registrations |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/security_monitoring/configuration/integration_config/entra_id/azure_app_registrations |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/security_monitoring/configuration/integration_config/entra_id/azure_app_registrations      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/security_monitoring/configuration/integration_config/entra_id/azure_app_registrations      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/security_monitoring/configuration/integration_config/entra_id/azure_app_registrations  |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/security_monitoring/configuration/integration_config/entra_id/azure_app_registrations |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/security_monitoring/configuration/integration_config/entra_id/azure_app_registrations     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/security_monitoring/configuration/integration_config/entra_id/azure_app_registrations |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/security_monitoring/configuration/integration_config/entra_id/azure_app_registrations |

### Overview

Get the Azure App Registrations discovered for the organization and whether at least one of them has resource collection enabled, which is a prerequisite for activating the Entra ID entity context sync integration. This endpoint requires the `integrations_read` permission.

OAuth apps require the `integrations_read` authorization [scope](https://docs.datadoghq.com/api/latest/scopes.md#security-monitoring) to access this endpoint.



### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response containing the Azure App Registration prerequisites for the Entra ID integration.

| Parent field            | Field                                         | Type      | Description                                                                                                                                      |
| ----------------------- | --------------------------------------------- | --------- | ------------------------------------------------------------------------------------------------------------------------------------------------ |
|                         | data [*required*]                        | object    | The Azure App Registration prerequisites for the Entra ID integration.                                                                           |
| data                    | attributes [*required*]                  | object    | The attributes of the Entra ID Azure App Registration prerequisites.                                                                             |
| attributes              | azure_app_registrations [*required*]     | [object]  | The Azure App Registrations discovered for the organization.                                                                                     |
| azure_app_registrations | client_id [*required*]                   | string    | The client ID of the App Registration.                                                                                                           |
| azure_app_registrations | error_count [*required*]                 | int64     | The number of errors encountered while crawling resources for this App Registration.                                                             |
| azure_app_registrations | resource_collection_enabled [*required*] | boolean   | Whether resource collection is enabled for this App Registration.                                                                                |
| azure_app_registrations | subscription_count [*required*]          | int64     | The number of Azure subscriptions associated with this App Registration.                                                                         |
| azure_app_registrations | tenant_id [*required*]                   | string    | The Azure tenant ID of the App Registration.                                                                                                     |
| attributes              | has_valid_prerequisite [*required*]      | boolean   | Whether at least one Azure App Registration has resource collection enabled.                                                                     |
| attributes              | integration_id                                | string    | The ID of the Entra ID integration configuration, if one exists.                                                                                 |
| attributes              | is_enabled                                    | boolean   | Whether the Entra ID integration configuration is enabled, if one exists.                                                                        |
| attributes              | subscribed_at                                 | date-time | The time at which the Entra ID integration configuration was created, if one exists.                                                             |
| data                    | id [*required*]                          | string    | The ID of the organization the Azure App Registrations belong to.                                                                                |
| data                    | type [*required*]                        | enum      | The type of the resource. The value should always be `entra_id_azure_app_registrations`. Allowed enum values: `entra_id_azure_app_registrations` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "azure_app_registrations": [
        {
          "client_id": "66666666-7777-8888-9999-000000000000",
          "error_count": 0,
          "resource_collection_enabled": true,
          "subscription_count": 3,
          "tenant_id": "11111111-2222-3333-4444-555555555555"
        }
      ],
      "has_valid_prerequisite": true,
      "integration_id": "11111111-2222-3333-4444-555555555555",
      "is_enabled": true,
      "subscribed_at": "2026-05-01T12:00:00Z"
    },
    "id": "123456",
    "type": "entra_id_azure_app_registrations"
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Not Authorized
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Curl command curl -X GET "https://api.datadoghq.com/api/v2/security_monitoring/configuration/integration_config/entra_id/azure_app_registrations" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
{% /tab %}
